Bug 21574 - Local use system preferences page doesn't have the system preferences menu
Summary: Local use system preferences page doesn't have the system preferences menu
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lisette Scheer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 20743
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-15 16:28 UTC by Caroline Cyr La Rose
Modified: 2019-11-26 11:44 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 21574 : Local use system preferences page doesn't have the system preferences menu (1.32 KB, patch)
2019-11-19 17:03 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 21574 : Local use system preferences page doesn't have the system preferences menu The "local use" tab in system preferences is showing the admin menu instead of the system preferences menu tabs. This patch fixes the menu display. To test: 1) Go to th (1.46 KB, patch)
2019-11-20 08:42 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 21574 : Local use system preferences page doesn't have the system preferences menu (1.39 KB, patch)
2019-11-20 16:20 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 21574: Local use system preferences page doesn't have the system preferences menu (1.45 KB, patch)
2019-11-22 21:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2018-10-15 16:28:42 UTC
When looking through system preferences, you have a menu of all the sysprefs categories on the left.

However, if you click on "Local use", the left side menu is the administration menu.

To reproduce:
1) Go to Administration > Global system preferences
2) Click on categories on the left-hand side of the screen (for example, "Circulation" or "Staff client", the left-hand side menu stays the same
3) Click on the "Local use" category
4) Notice the left-hand side menu is the administration menu and not the sysprefs categories
Comment 1 Séverine Queune 2019-11-19 14:49:52 UTC
Still available on master.
See screenshot : https://snipboard.io/CuMvIZ.jpg
Comment 2 Owen Leonard 2019-11-19 16:48:18 UTC
Whoever wrote the patch for Bug 20743 was a little too careless with their cut-and-paste and included the wrong menu include. It should be 

[% INCLUDE 'prefs-menu.inc' %]

instead of

[% INCLUDE 'admin-menu.inc' %]
Comment 3 Lisette Scheer 2019-11-19 17:03:23 UTC
Created attachment 95583 [details] [review]
Bug 21574 : Local use system preferences page doesn't have the system preferences menu

The "local use" tab in system preferences is showing the admin menu instead of the system preferences menu tabs. This patch fixes the menu display. To test: 
1) Go to the system preferences in administration. 
2) Click the 'Local use' tab. 
3) Observe the inncorrect menu. 
4) Apply the patch. 
5) Repeat steps 1-2 
6) Observe the correct menu.
Comment 4 Séverine Queune 2019-11-20 08:42:48 UTC
Created attachment 95592 [details] [review]
Bug 21574 : Local use system preferences page doesn't have the system preferences menu The "local use" tab in system preferences is showing the admin menu instead of the system preferences menu tabs. This patch fixes the menu display. To test: 1) Go to th

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Caroline Cyr La Rose 2019-11-20 16:20:17 UTC
Created attachment 95620 [details] [review]
Bug 21574 : Local use system preferences page doesn't have the system preferences menu

The "local use" tab in system preferences is showing the admin menu instead of the
system preferences menu tabs. This patch fixes the menu display.

To test:
1) Go to the system preferences in administration.
2) Click the 'Local use' tab.
3) Observe the inncorrect menu.
4) Apply the patch.
5) Repeat steps 1-2
6) Observe the correct menu.

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 6 Caroline Cyr La Rose 2019-11-20 16:21:10 UTC
I hope I did this correctly, I couldn't find Severine's sign-off line in my commit
Comment 7 Katrin Fischer 2019-11-22 21:34:31 UTC
Created attachment 95747 [details] [review]
Bug 21574: Local use system preferences page doesn't have the system preferences menu

The "local use" tab in system preferences is showing the admin menu instead of the
system preferences menu tabs. This patch fixes the menu display.

To test:
1) Go to the system preferences in administration.
2) Click the 'Local use' tab.
3) Observe the inncorrect menu.
4) Apply the patch.
5) Repeat steps 1-2
6) Observe the correct menu.

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2019-11-26 11:44:33 UTC
Nice work!

Pushed to master for 19.11.00